ConnectivityDescriptors.h
Go to the documentation of this file.
//
// Copyright (C) 2012 Greg Landrum
//
// @@ All Rights Reserved @@
// This file is part of the RDKit.
// The contents are covered by the terms of the BSD license
// which is included in the file license.txt, found at the root
// of the RDKit source tree.
//
/*! \file ConnectivityDescriptors.h
\brief Use MolDescriptors.h in client code.
*/
#ifndef __RD_CONNECTIVITYDESCRIPTORS_H__
#define __RD_CONNECTIVITYDESCRIPTORS_H__
#include <string>
#include <vector>
#include <boost/smart_ptr.hpp>
namespace RDKit {
class ROMol;
namespace Descriptors {
//! From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)
/*!
\param mol the molecule of interest
\param force forces the value to be recalculated instead
of pulled from the cache
*/
double calcChi0v(const ROMol &mol, bool force = false);
const std::string chi0vVersion = "1.2.0";
//! From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)
/*!
\param mol the molecule of interest
\param force forces the value to be recalculated instead
of pulled from the cache
*/
double calcChi1v(const ROMol &mol, bool force = false);
const std::string chi1vVersion = "1.2.0";
//! From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)
/*!
\param mol the molecule of interest
\param force forces the value to be recalculated instead
of pulled from the cache
*/
double calcChi2v(const ROMol &mol, bool force = false);
const std::string chi2vVersion = "1.2.0";
//! From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)
/*!
\param mol the molecule of interest
\param force forces the value to be recalculated instead
of pulled from the cache
*/
double calcChi3v(const ROMol &mol, bool force = false);
const std::string chi3vVersion = "1.2.0";
//! From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)
/*!
\param mol the molecule of interest
\param force forces the value to be recalculated instead
of pulled from the cache
*/
double calcChi4v(const ROMol &mol, bool force = false);
const std::string chi4vVersion = "1.2.0";
//! From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)
/*!
\param mol the molecule of interest
\param n the order of the connectivity index
\param force forces the value to be recalculated instead
of pulled from the cache
*/
double calcChiNv(const ROMol &mol, unsigned int n, bool force = false);
const std::string chiNvVersion = "1.2.0";
//! Similar to Hall Kier ChiXv, but uses nVal instead of valence
//! This makes a big difference after we get out of the first row.
/*!
\param mol the molecule of interest
\param force forces the value to be recalculated instead
of pulled from the cache
*/
double calcChi0n(const ROMol &mol, bool force = false);
const std::string chi0nVersion = "1.2.0";
//! Similar to Hall Kier ChiXv, but uses nVal instead of valence
//! This makes a big difference after we get out of the first row.
/*!
\param mol the molecule of interest
\param force forces the value to be recalculated instead
of pulled from the cache
*/
double calcChi1n(const ROMol &mol, bool force = false);
const std::string chi1nVersion = "1.2.0";
//! Similar to Hall Kier ChiXv, but uses nVal instead of valence
//! This makes a big difference after we get out of the first row.
/*!
\param mol the molecule of interest
\param force forces the value to be recalculated instead
of pulled from the cache
*/
double calcChi2n(const ROMol &mol, bool force = false);
const std::string chi2nVersion = "1.2.0";
//! Similar to Hall Kier ChiXv, but uses nVal instead of valence
//! This makes a big difference after we get out of the first row.
/*!
\param mol the molecule of interest
\param force forces the value to be recalculated instead
of pulled from the cache
*/
double calcChi3n(const ROMol &mol, bool force = false);
const std::string chi3nVersion = "1.2.0";
//! Similar to Hall Kier ChiXv, but uses nVal instead of valence
//! This makes a big difference after we get out of the first row.
/*!
\param mol the molecule of interest
\param force forces the value to be recalculated instead
of pulled from the cache
*/
double calcChi4n(const ROMol &mol, bool force = false);
const std::string chi4nVersion = "1.2.0";
//! Similar to Hall Kier ChiXv, but uses nVal instead of valence
//! This makes a big difference after we get out of the first row.
/*!
\param mol the molecule of interest
\param n the order of the connectivity index
\param force forces the value to be recalculated instead
of pulled from the cache
*/
double calcChiNn(const ROMol &mol, unsigned int n, bool force = false);
const std::string chiNnVersion = "1.2.0";
//! calculate the Hall-Kier alpha value for a molecule
//! From equation (58) of Rev. Comp. Chem. vol 2, 367-422, (1991)
/*!
\param mol the molecule of interest
\param atomContribs if provided, this will be used to return the
contributions
of the individual atoms to the value. These do not
neccessarily sum to the full value.
Note: this can be a time-consuming calculation.
*/
double calcHallKierAlpha(const ROMol &mol,
std::vector<double> *atomContribs = 0);
const std::string hallKierAlphaVersion = "1.2.0";
//! calculate the Hall-Kier kappa1 value for a molecule
//! From equations (58) and (59) of Rev. Comp. Chem. vol 2, 367-422, (1991)
/*!
\param mol the molecule of interest
*/
double calcKappa1(const ROMol &mol);
const std::string kappa1Version = "1.1.0";
//! calculate the Hall-Kier kappa2 value for a molecule
//! From equations (58) and (60) of Rev. Comp. Chem. vol 2, 367-422, (1991)
/*!
\param mol the molecule of interest
*/
double calcKappa2(const ROMol &mol);
const std::string kappa2Version = "1.1.0";
//! calculate the Hall-Kier kappa3 value for a molecule
//! From equations (58), (61) and (62) of Rev. Comp. Chem. vol 2, 367-422,
//(1991)
/*!
\param mol the molecule of interest
*/
double calcKappa3(const ROMol &mol);
const std::string kappa3Version = "1.1.0";
namespace detail {
void hkDeltas(const ROMol &mol, std::vector<double> &deltas, bool force);
}
} // end of namespace Descriptors
}
#endif
RDKit::Descriptors::calcChi2v
double calcChi2v(const ROMol &mol, bool force=false)
From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)
RDKit::Descriptors::calcKappa2
double calcKappa2(const ROMol &mol)
RDKit::Descriptors::chi4vVersion
const std::string chi4vVersion
Definition: ConnectivityDescriptors.h:66
RDKit::Descriptors::chiNvVersion
const std::string chiNvVersion
Definition: ConnectivityDescriptors.h:75
RDKit::Descriptors::chi2nVersion
const std::string chi2nVersion
Definition: ConnectivityDescriptors.h:103
RDKit::Descriptors::calcKappa1
double calcKappa1(const ROMol &mol)
RDKit::Descriptors::chi1nVersion
const std::string chi1nVersion
Definition: ConnectivityDescriptors.h:94
RDKit::Descriptors::calcChi4v
double calcChi4v(const ROMol &mol, bool force=false)
From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)
RDKit::Descriptors::kappa1Version
const std::string kappa1Version
Definition: ConnectivityDescriptors.h:153
RDKit::Descriptors::calcChi3n
double calcChi3n(const ROMol &mol, bool force=false)
RDKit::Descriptors::chiNnVersion
const std::string chiNnVersion
Definition: ConnectivityDescriptors.h:131
RDKit::Descriptors::kappa2Version
const std::string kappa2Version
Definition: ConnectivityDescriptors.h:161
RDKit::ROMol
ROMol is a molecule class that is intended to have a fixed topology.
Definition: ROMol.h:102
RDKit::Descriptors::calcHallKierAlpha
double calcHallKierAlpha(const ROMol &mol, std::vector< double > *atomContribs=0)
RDKit::Descriptors::calcChi1v
double calcChi1v(const ROMol &mol, bool force=false)
From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)
RDKit::Descriptors::calcChi3v
double calcChi3v(const ROMol &mol, bool force=false)
From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)
detail
Definition: types.h:23
RDKit::Descriptors::chi3nVersion
const std::string chi3nVersion
Definition: ConnectivityDescriptors.h:112
RDKit::Descriptors::chi1vVersion
const std::string chi1vVersion
Definition: ConnectivityDescriptors.h:42
RDKit::Descriptors::hallKierAlphaVersion
const std::string hallKierAlphaVersion
Definition: ConnectivityDescriptors.h:145
RDKit::Descriptors::calcChi0n
double calcChi0n(const ROMol &mol, bool force=false)
RDKit::Descriptors::chi3vVersion
const std::string chi3vVersion
Definition: ConnectivityDescriptors.h:58
RDKit::Descriptors::kappa3Version
const std::string kappa3Version
Definition: ConnectivityDescriptors.h:170
RDKit
Includes a bunch of functionality for handling Atom and Bond queries.
Definition: Atom.h:28
RDKit::Descriptors::calcChi4n
double calcChi4n(const ROMol &mol, bool force=false)
RDKit::Descriptors::calcChi0v
double calcChi0v(const ROMol &mol, bool force=false)
From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)
RDKit::Descriptors::chi2vVersion
const std::string chi2vVersion
Definition: ConnectivityDescriptors.h:50
RDKit::Descriptors::detail::hkDeltas
void hkDeltas(const ROMol &mol, std::vector< double > &deltas, bool force)
RDKit::Descriptors::calcKappa3
double calcKappa3(const ROMol &mol)
RDKit::Descriptors::calcChiNn
double calcChiNn(const ROMol &mol, unsigned int n, bool force=false)
RDKit::Descriptors::chi0nVersion
const std::string chi0nVersion
Definition: ConnectivityDescriptors.h:85
RDKit::Descriptors::chi4nVersion
const std::string chi4nVersion
Definition: ConnectivityDescriptors.h:121
RDKit::Descriptors::calcChiNv
double calcChiNv(const ROMol &mol, unsigned int n, bool force=false)
From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)
RDKit::Descriptors::chi0vVersion
const std::string chi0vVersion
Definition: ConnectivityDescriptors.h:34
RDKit::Descriptors::calcChi2n
double calcChi2n(const ROMol &mol, bool force=false)
RDKit::Descriptors::calcChi1n
double calcChi1n(const ROMol &mol, bool force=false)